Skip to main content
POST
/
payouts
Create a payout
curl --request POST \
  --url https://api.withacclaim.com/v1/payouts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "treasury_account_id": "<string>",
  "payee_id": "<string>",
  "funded_amount": 125000,
  "payment_amount": 125000,
  "payment_currency": "USD",
  "reference": "<string>",
  "description": "<string>",
  "purpose_of_payment": "ClaimReimbursement",
  "payout_method_id": "pom_1a2b3c4d5e",
  "metadata": {
    "custom_field": "value",
    "source": "api"
  }
}
'
{
  "id": "po_dlZwQyd0Sn",
  "treasury_account_id": "tac_b0TrsSg91h",
  "payee_id": "pyee_KfIuLz83Ya",
  "batch_id": "ba_r8PxTnQ5Dv",
  "funded_amount": 125000,
  "funding_currency": "USD",
  "payment_amount": 125000,
  "payment_currency": "USD",
  "exchange_rate": "1.00000000",
  "status": "ReadyToProcess",
  "payout_link_url": "<string>",
  "payout_method": {
    "id": "pmet_abc123",
    "payout_method_type": "UnitedStatesAch",
    "active": true,
    "currency": "<string>",
    "country": "<string>",
    "account_number": "<string>",
    "routing_type1": "<string>",
    "routing_value1": "<string>",
    "routing_type2": "<string>",
    "routing_value2": "<string>",
    "bank_name": "<string>",
    "account_holder_name": "<string>",
    "account_type": "<string>",
    "swift_code": "<string>",
    "iban": "<string>",
    "tax_id_type": "<string>",
    "tax_id": "<string>",
    "payout_speed": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "reference": "REF-2025-001",
  "description": "Payment for services rendered",
  "purpose_of_payment": "ProviderBillPayment",
  "processed_at": "2025-10-08T18:25:00Z",
  "payment_date": "2025-10-08",
  "swift_charge_option": "Our",
  "lock_side": "Funding",
  "failure_code": "insufficient_funds",
  "failure_message": "Insufficient funds in treasury account",
  "metadata": {
    "custom_field": "value",
    "source": "api"
  },
  "created_at": "2025-10-08T18:20:31Z",
  "updated_at": "2025-10-08T18:25:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
treasury_account_id
string
required

ID of the treasury account to payout from

payee_id
string
required

ID of the payee to receive the payout

funded_amount
integer

Amount in smallest currency unit from the treasury account

Required range: x >= 1
Example:

125000

payment_amount
integer

Amount in smallest currency unit to send to the payee (after currency conversion)

Required range: x >= 1
Example:

125000

payment_currency
string

ISO 4217 currency code for the payment amount (3 uppercase letters)

Required string length: 3
Pattern: ^[A-Z]{3}$
Example:

"USD"

reference
string

Optional client reference for reconciliation

description
string

Optional description for the payout

Maximum string length: 255
purpose_of_payment
enum<string>

Purpose of the payment

Available options:
ProviderBillPayment,
Commission,
Refund,
ClaimReimbursement
Example:

"ClaimReimbursement"

payout_method_id
string

ID of the payout method to use for this payout

Example:

"pom_1a2b3c4d5e"

metadata
object

Optional metadata as key-value pairs

Example:
{ "custom_field": "value", "source": "api" }

Response

Payout created.

id
string
Example:

"po_dlZwQyd0Sn"

treasury_account_id
string | null

ID of the treasury account funding the payout

Example:

"tac_b0TrsSg91h"

payee_id
string

ID of the payee

Example:

"pyee_KfIuLz83Ya"

batch_id
string | null

ID of the payout batch if this payout belongs to one

Example:

"ba_r8PxTnQ5Dv"

funded_amount
integer | null

The amount funded from the treasury account in smallest currency unit

Example:

125000

funding_currency
string | null

ISO 4217 currency code for the funded amount

Example:

"USD"

payment_amount
integer | null

Amount sent to payee in smallest currency unit (after currency conversion)

Example:

125000

payment_currency
string | null

ISO 4217 currency code for the payment amount

Example:

"USD"

exchange_rate
string | null

Exchange rate used for currency conversion (if applicable)

Example:

"1.00000000"

status
enum<string>
Available options:
ReadyToProcess,
Processing,
Succeeded,
Failed,
Canceled,
RequiresPayeeInfo,
RequiresAction,
RequiresPayoutMethod,
NeedsApproval

URL for the payout link if generated for recipient choice

payout_method
object

The payout method used for this payout

reference
string | null

Client-supplied reference for reconciliation

Example:

"REF-2025-001"

description
string | null
Example:

"Payment for services rendered"

purpose_of_payment
enum<string> | null

Purpose of the payment

Available options:
ProviderBillPayment,
Commission,
Refund,
ClaimReimbursement
processed_at
string<date-time> | null

When the payout was processed

Example:

"2025-10-08T18:25:00Z"

payment_date
string<date> | null

Expected or actual payment date

Example:

"2025-10-08"

swift_charge_option
enum<string> | null

SWIFT charge option (for international wire transfers)

Available options:
Our,
Shared,
Beneficiary
lock_side
enum<string>

Which side of the FX quote has a locked rate. Funding means the funded amount is fixed; Payment means the payment amount is fixed.

Available options:
Funding,
Payment
failure_code
string | null

Error code if the payout failed

Example:

"insufficient_funds"

failure_message
string | null

Human-readable error message if the payout failed

Example:

"Insufficient funds in treasury account"

metadata
object

Optional metadata as key-value pairs

Example:
{ "custom_field": "value", "source": "api" }
created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on April 14, 2026